TypeScript SDK
import { Client } from "@notionhq/client"
const notion = new Client({ auth: process.env.NOTION_API_KEY })
const response = await notion.sessions.cancel({
session_id: "2a1c7c06-781b-4987-9986-5c8dd3028014"
})curl --request POST \
--url https://api.notion.com/v1/sessions/{session_id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '
{
"event_id": "<string>"
}
'import requests
url = "https://api.notion.com/v1/sessions/{session_id}/cancel"
payload = { "event_id": "<string>" }
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"object": "session",
"id": "<string>",
"agent_id": "<string>",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"required_actions": [
{
"action_id": "<string>",
"title": "<string>",
"options": [
{
"label": "<string>"
}
]
}
],
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true
}
}{
"object": "error",
"message": "<string>",
"status": 400,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "unauthorized",
"status": 401,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 403,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 404,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "row_limit_exceeded",
"status": 406,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"status": 409,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "rate_limited",
"status": 429,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "internal_server_error",
"status": 500,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "service_unavailable",
"status": 503,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "gateway_timeout",
"status": 504,
"additional_data": {}
}{
"object": "error",
"message": "<string>",
"code": "service_overload",
"status": 529,
"additional_data": {}
}Agents
Cancel a session
Cancel an in-progress session.
POST
/
v1
/
sessions
/
{session_id}
/
cancel
TypeScript SDK
import { Client } from "@notionhq/client"
const notion = new Client({ auth: process.env.NOTION_API_KEY })
const response = await notion.sessions.cancel({
session_id: "2a1c7c06-781b-4987-9986-5c8dd3028014"
})Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The API version to use for this request. The latest version is 2026-03-11.
Available options:
2026-03-11 Path Parameters
The ID of the session to cancel.
Body
application/json
A session event identifying the turn to cancel. If omitted, cancels the current nonterminal turn.
Response
Always session
Allowed value:
"session"One of: queued, in_progress, requires_action, completed, failed, canceled, terminated
Available options:
queued, in_progress, requires_action, completed, failed, canceled, terminated Maximum array length:
100Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I